[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[gawk-diffs] [SCM] gawk branch, master, updated. gawk-4.1.0-1576-g4ab202
From: |
Arnold Robbins |
Subject: |
[gawk-diffs] [SCM] gawk branch, master, updated. gawk-4.1.0-1576-g4ab2029 |
Date: |
Tue, 24 Nov 2015 21:03:54 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gawk".
The branch, master has been updated
via 4ab2029a091a88a3b1968c55468b8c91ae1e6a2d (commit)
via 20d333afbaadde8a8daa4091e22cf549c6954a6a (commit)
from cd8cfd261a21ece90196b961f1113bffe8b25e1e (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
http://git.sv.gnu.org/cgit/gawk.git/commit/?id=4ab2029a091a88a3b1968c55468b8c91ae1e6a2d
commit 4ab2029a091a88a3b1968c55468b8c91ae1e6a2d
Merge: cd8cfd2 20d333a
Author: Arnold D. Robbins <address@hidden>
Date: Tue Nov 24 23:03:43 2015 +0200
Merge branch 'gawk-4.1-stable'
diff --cc test/Makefile.am
index 090ad0e,779a106..e573f5e
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@@ -1133,8 -1089,7 +1137,9 @@@ GAWK_EXT_TESTS =
splitarg4 strftime \
strtonum switch2 symtab1 symtab2 symtab3 symtab4 symtab5 symtab6 \
symtab7 symtab8 symtab9 \
- typedregex1 typedregex2 typedregex3 typeof1 typeof2 typeof3 typeof4
- timeout
++ typedregex1 typedregex2 typedregex3 typeof1 typeof2 typeof3 typeof4 \
++ timeout \
+ watchpoint1
EXTRA_TESTS = inftest regtest
diff --cc test/Makefile.in
index a00f887,eb7748a..9771921
--- a/test/Makefile.in
+++ b/test/Makefile.in
@@@ -1389,7 -1345,7 +1393,9 @@@ GAWK_EXT_TESTS =
splitarg4 strftime \
strtonum switch2 symtab1 symtab2 symtab3 symtab4 symtab5 symtab6 \
symtab7 symtab8 symtab9 \
- typedregex1 typedregex2 typedregex3 typeof1 typeof2 typeof3 typeof4
++ typedregex1 typedregex2 typedregex3 typeof1 typeof2 typeof3 typeof4 \
++ timeout \
+ watchpoint1
EXTRA_TESTS = inftest regtest
INET_TESTS = inetdayu inetdayt inetechu inetecht
@@@ -3972,41 -3873,6 +3982,46 @@@ symtab7
@AWKPATH="$(srcdir)" $(AWK) -f address@hidden <
"$(srcdir)"/address@hidden >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+typedregex1:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typedregex2:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typedregex3:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typeof1:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typeof2:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typeof3:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typeof4:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
++timeout:
++ @echo $@
++ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
++ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
++
double1:
@echo $@
@AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
diff --cc test/Maketests
index 5b4f3d4,bb5712d..689dcdc
--- a/test/Maketests
+++ b/test/Maketests
@@@ -1347,41 -1322,6 +1347,46 @@@ symtab7
@AWKPATH="$(srcdir)" $(AWK) -f address@hidden <
"$(srcdir)"/address@hidden >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+typedregex1:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typedregex2:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typedregex3:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typeof1:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typeof2:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typeof3:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
+typeof4:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
+
++timeout:
++ @echo $@
++ @AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
++ @-$(CMP) "$(srcdir)"/address@hidden _$@ && rm -f _$@
++
double1:
@echo $@
@AWKPATH="$(srcdir)" $(AWK) -f address@hidden >_$@ 2>&1 || echo EXIT
CODE: $$? >>_$@
-----------------------------------------------------------------------
Summary of changes:
ChangeLog | 6 ++++
NEWS | 4 +++
debug.c | 16 ++++++++++-
test/ChangeLog | 6 ++++
test/Makefile.am | 14 ++++++++-
test/Makefile.in | 19 ++++++++++++-
test/Maketests | 5 +++
test/watchpoint1.awk | 14 ++++++++++
test/watchpoint1.in | 8 ++++++
test/watchpoint1.ok | 65 +++++++++++++++++++++++++++++++++++++++++++++++
test/watchpoint1.script | 14 ++++++++++
11 files changed, 165 insertions(+), 6 deletions(-)
create mode 100644 test/watchpoint1.awk
create mode 100644 test/watchpoint1.in
create mode 100644 test/watchpoint1.ok
create mode 100644 test/watchpoint1.script
hooks/post-receive
--
gawk
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [gawk-diffs] [SCM] gawk branch, master, updated. gawk-4.1.0-1576-g4ab2029,
Arnold Robbins <=